import { AxisRendererBase } from "./AxisRendererBase";
import { AxisLabelManager } from "./AxisLabelManager";
import { AxisRenderingParametersBase } from "./AxisRenderingParametersBase";
import { Type } from "igniteui-react-core/ES5/type";
export declare class CategoryAxisRenderer extends AxisRendererBase {
    constructor(a: AxisLabelManager);
    ac(a: AxisRenderingParametersBase, b: number, c: number, d: number, e: number): {
        p1: number;
        p2: number;
        p3: number;
        p4: number;
    };
    w(a: AxisRenderingParametersBase, b: number, c: number, d: number): any;
    private ad(a, b, c, d, e, f);
    static $t: Type;
}
